/*
 * @(#)$Id$
 *
 * Copyright (c)2000 Regents of the University of California
 *
 */



package precache.util.graph;

import java.util.Set;

/**
 *  The <code>DirectedAcyclicGraphBuilder</code> description.
 *  @version $Revision$, $Date$
 *  @author Kristian Kvilekval
 */
public class DirectedAcyclicGraphBuilder 
    extends DirectedGraphBuilder 
    implements DirectedAcyclicGraph {

    /** override methods */

    public void addEdge (Edge e) {
        // Ensure Edge does not create cycle...

        super.addEdge (e);
    }
//     public Object[] topologicalSort( ) {
//         return null;
//     }
//     public Object[] topologicalSort( Object startVertex) {
//         return null;
//     }


    public Graph getGraph () {
        return new DirectedGraphImpl (incoming, outgoing);
    }

};
