/*
 * @(#)$Id$
 *
 * Copyright (c)2000 Regents of the University of California
 *
 */


package precache.util.graph;

import java.util.Set;

/**
 *  The <code>DirectedGraph</code> description.
 *  @version $Revision$, $Date$
 *  @author Kristian Kvilekval
 */
public interface DirectedGraph extends Graph{

    public Set getOutgoingAdjacentVertices( Object v );
    public Set getIncomingAdjacentVertices( Object v );

    /* Set of DirectedEdge */
    public Set getOutgoingEdges( Object v );
    /* Set of DirectedEdge */
    public Set getIncomingEdges( Object v );

    public Set getRoots();
//     public boolean isPath( Object fromVertex, Object toVertex );
//     public boolean isCycle( Object fromVertex );
};
