/*
 * @(#)$Id$
 *
 * Copyright (c)2000 Regents of the University of California
 *
 */


package precache.util.graph;


/**
 *  The <code>DirectedEdge</code> description.
 *  @version $Revision$, $Date$
 *  @author Kristian Kvilekval
 */
public interface DirectedEdge extends Edge{

    public static final int  IN = -1;
    public static final int  OUT = 1;
    public static final int  NODIRECTION = 0;

    public Object getSource();
    public Object getSink();
    public int    getDirection();

    public DirectedEdge swap();
};
