/*
 * @(#)$Id$
 *
 * Copyright (c)2000 Regents of the University of California
 *
 */


package precache.util.graph;

import java.util.Set;


public interface DirectedGraphNode {

    public Set getPredecessors();
    public Set getSuccessors();
    public void addInEdge (Object to);
    public void addOutEdge (Object to);
    public void remInEdge (Object to);
    public void remOutEdge (Object to);
    public boolean hasInEdge (Object to);
    public boolean hasOutEdge (Object to);

}
