/*
 * @(#)$Id$
 *
 * Copyright (c)2000 Regents of the University of California
 *
 */


package precache.util.graph;


/**
 *  The <code>EdgeImpl</code> description.
 *  @version $Revision$, $Date$
 *  @author Kristian Kvilekval
 */
public class EdgeImpl implements Edge {

    /* Private/Public Variables */
    protected Object vA;
    protected Object vB;
    
    /**
     *  The default constructor
     */
    public EdgeImpl (Object a, Object b) {
    }

    public Edge setVertices(Object v1, Object v2) {
        vA = v1; vB = v2;
        return this;
    }

    public Object getVertexA() { return vA; }
    public Object getVertexB() { return vB; }

    public int hashCode () { 
        return vA.hashCode() ^ vB.hashCode();
    }
    public boolean equals (Object o) {
        if (o instanceof EdgeImpl) {
            EdgeImpl e = (EdgeImpl)o;
            return ((vA == e.vA && vB == e.vB)
                    || (vA == e.vB && vB == e.vA));
        }
        return false;
    }
};
