/*
 * @(#)$Id$
 *
 * Copyright (c)2000 Regents of the University of California
 *
 */


package precache.util.graph;


/**
 *  The <code>GraphBuilder</code> description.
 *  @version $Revision$, $Date$
 *  @author Kristian Kvilekval
 */
public interface GraphBuilder extends  Graph {


    public void addVertex (Object o);
    public void remVertex (Object o);
    
    public Edge createEdge (Object v1, Object v2);
    
    public void addEdge (Object v1, Object v2 );
    public void remEdge (Object v1, Object v2);
    
    public void addEdge (Edge e);
    public void remEdge (Edge e);
    
    public Graph getGraph();
};
